INTERFACE
SUBROUTINE JGHCOSAD(LDTOUQ,KDIM,KM,KSPSTA,KSPEND,YDSPJB)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVL ,NFLSUR ,NSPEC2 ,NCMAX ,&
 & NCPEC2 ,NTMAX ,NTPEC2 
USE SPECTRAL_FIELDS_MOD
LOGICAL ,INTENT(IN) :: LDTOUQ
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM
INTEGER(KIND=JPIM),INTENT(IN) :: KM
INTEGER(KIND=JPIM),INTENT(IN) :: KSPSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEND
TYPE(SPECTRAL_FIELD), INTENT(INOUT) :: YDSPJB
END SUBROUTINE JGHCOSAD
END INTERFACE
